## dfx-mgr 2022.1

=== src/CMakeLists.txt ===
collector_create (PROJECT_LIB_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}")
collector_create (PROJECT_LIB_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}")

collect (PROJECT_LIB_DIRS "${CMAKE_CURRENT_BINARY_DIR}")
collect (PROJECT_INC_DIRS "${CMAKE_CURRENT_BINARY_DIR}/include")

collect (PROJECT_LIB_HEADERS accel.h)
collect (PROJECT_LIB_HEADERS assert.h)
collect (PROJECT_LIB_HEADERS dma.h)
collect (PROJECT_LIB_HEADERS device.h)
collect (PROJECT_LIB_HEADERS helper.h)
collect (PROJECT_LIB_HEADERS print.h)
collect (PROJECT_LIB_HEADERS shell.h)
collect (PROJECT_LIB_HEADERS shm.h)
collect (PROJECT_LIB_HEADERS dfxmgr_client.h)
collect (PROJECT_LIB_HEADERS model.h)
collect (PROJECT_LIB_HEADERS json-config.h)
collect (PROJECT_LIB_HEADERS daemon_helper.h)
collect (PROJECT_LIB_HEADERS conio.h)

collect (PROJECT_LIB_SOURCES accel.c)
collect (PROJECT_LIB_SOURCES assert.c)
collect (PROJECT_LIB_SOURCES dma.c)
collect (PROJECT_LIB_SOURCES device.c)
collect (PROJECT_LIB_SOURCES shell.c)
collect (PROJECT_LIB_SOURCES shm.c)
collect (PROJECT_LIB_SOURCES dfxmgr_client.c)
collect (PROJECT_LIB_SOURCES daemon_helper.c)

add_subdirectory (sys)

collector_list (_inc_dirs PROJECT_INC_DIRS)
collector_list (_sources PROJECT_LIB_SOURCES)
collector_list (_headers PROJECT_LIB_HEADERS)

foreach (f ${_headers})
  configure_file (${f} include/${PROJECT_NAME}/${f} @ONLY)
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/include/${PROJECT_NAME}/${f}
           DESTINATION include RENAME ${PROJECT_NAME}/${f})
  if (${f} MATCHES "^[^/]*\\.h")
    collect (PROJECT_HDR_TESTS "acapd/${f}")
  endif (${f} MATCHES "^[^/]*\\.h")
endforeach (f)

include_directories (${_inc_dirs})
add_definitions (-DACAPD_INTERNAL)

get_property (_ec_flags GLOBAL PROPERTY "PROJECT_EC_FLAGS")
set (_deps "dfx" "websockets")

if (WITH_SHARED_LIB)
  set (_lib ${PROJECT_NAME}-shared)
  add_library (${_lib} SHARED ${_sources})
  target_link_libraries (${_lib} ${_deps})
  install (TARGETS ${_lib} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
  target_compile_options (${_lib} PUBLIC ${_ec_flags})
  set_target_properties (${_lib} PROPERTIES
    OUTPUT_NAME       "${PROJECT_NAME}"
    VERSION           "${PROJECT_VER}"
    SOVERSION         "${PROJECT_VER_MAJOR}"
  )
endif (WITH_SHARED_LIB)

# Build a static library if so configured.
if (WITH_STATIC_LIB)
  set (_lib ${PROJECT_NAME}-static)
  add_library (${_lib} STATIC ${_sources})
  install (TARGETS ${_lib} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
  target_compile_options (${_lib} PUBLIC ${_ec_flags})
  set_target_properties (${_lib} PROPERTIES
    OUTPUT_NAME       "${PROJECT_NAME}"
  )
endif (WITH_STATIC_LIB)

# vim: expandtab:ts=2:sw=2:smartindent

=== example/sys/linux/CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################
# add_subdirectory (graph)

collector_list  (_list PROJECT_INC_DIRS)
include_directories (${_list} ${CMAKE_CURRENT_SOURCE_DIR})

collector_list  (_list PROJECT_LIB_DIRS)
link_directories (${_list})

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")

set (_deps "dfx" "websockets" "dl" "pthread")

foreach (_app load_accel accel-bzip2 accel-shm accel-aes accel-container dfx-mgr-client dfx-mgrd )
#foreach (_app load_accel dfx-mgr-client dfx-mgrd dfx-mgrd2 graphTest6)
  set (_src ${CMAKE_CURRENT_SOURCE_DIR}/${_app}.c)
  if (WITH_SHARED_LIB)
    add_executable (${_app}-share ${_src})
    if (PROJECT_EC_FLAGS)
      string(REPLACE " " ";" _ec_flgs ${PROJECT_EC_FLAGS})
      target_compile_options (${_app}-share PUBLIC ${_ec_flgs})
    endif (PROJECT_EC_FLAGS)
    target_link_libraries (${_app}-share ${PROJECT_NAME}-shared ${_deps})
    install (TARGETS ${_app}-share RUNTIME DESTINATION bin)
    add_dependencies (${_app}-share ${PROJECT_NAME}-shared)
  endif (WITH_SHARED_LIB)

  if (WITH_STATIC_LIB)
    if (${PROJECT_SYSTEM} STREQUAL "linux")
        add_executable (${_app}-static ${_src})
        if (PROJECT_EC_FLAGS)
          string(REPLACE " " ";" _ec_flgs ${PROJECT_EC_FLAGS})
          target_compile_options (${_app}-static PUBLIC ${_ec_flgs})
        endif (PROJECT_EC_FLAGS)
        target_link_libraries (${_app}-static ${PROJECT_NAME}-static ${_deps})
        install (TARGETS ${_app}-static RUNTIME DESTINATION bin)
    endif (${PROJECT_SYSTEM} STREQUAL "linux")
  endif (WITH_STATIC_LIB)
endforeach (_app)

=== src/sys/linux/CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################

collect (PROJECT_LIB_HEADERS accel.h)
collect (PROJECT_LIB_HEADERS dma.h)
collect (PROJECT_LIB_HEADERS acapd-vfio-common.h)
collect (PROJECT_LIB_HEADERS generic-device.h)

collect (PROJECT_LIB_SOURCES accel.c)
collect (PROJECT_LIB_SOURCES acapd-vfio-common.c)
collect (PROJECT_LIB_SOURCES dma-axidma-vfio.c)
collect (PROJECT_LIB_SOURCES dma-mcdma-vfio.c)
collect (PROJECT_LIB_SOURCES device.c)
collect (PROJECT_LIB_SOURCES generic-device.c)
collect (PROJECT_LIB_SOURCES json-config.c)
collect (PROJECT_LIB_SOURCES print.c)
collect (PROJECT_LIB_SOURCES shm.c)
collect (PROJECT_LIB_SOURCES shell.c)
add_subdirectory (graph)

=== example/sys/linux/graph/CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################

collector_list  (_list PROJECT_INC_DIRS)
include_directories (${_list} ${CMAKE_CURRENT_SOURCE_DIR})

collector_list  (_list PROJECT_LIB_DIRS)
link_directories (${_list})

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")

set (_deps "dfx" "websockets" "dfxgraph" "dl" "pthread")

foreach (_app  graphApp graphTest0 graphTest1 graphTest2 graphTest3 graphTest4 graphTest5)
  set (_src ${CMAKE_CURRENT_SOURCE_DIR}/${_app}.c)
  if (WITH_SHARED_LIB)
    add_executable (${_app}-share ${_src})
    if (PROJECT_EC_FLAGS)
      string(REPLACE " " ";" _ec_flgs ${PROJECT_EC_FLAGS})
      target_compile_options (${_app}-share PUBLIC ${_ec_flgs})
    endif (PROJECT_EC_FLAGS)
    target_link_libraries (${_app}-share ${PROJECT_NAME}-shared ${_deps})
    install (TARGETS ${_app}-share RUNTIME DESTINATION bin)
    add_dependencies (${_app}-share ${PROJECT_NAME}-shared)
  endif (WITH_SHARED_LIB)

  if (WITH_STATIC_LIB)
    if (${PROJECT_SYSTEM} STREQUAL "linux")
        add_executable (${_app}-static ${_src})
        if (PROJECT_EC_FLAGS)
          string(REPLACE " " ";" _ec_flgs ${PROJECT_EC_FLAGS})
          target_compile_options (${_app}-static PUBLIC ${_ec_flgs})
        endif (PROJECT_EC_FLAGS)
        target_link_libraries (${_app}-static ${PROJECT_NAME}-static ${_deps})
        install (TARGETS ${_app}-static RUNTIME DESTINATION bin)
    endif (${PROJECT_SYSTEM} STREQUAL "linux")
  endif (WITH_STATIC_LIB)
endforeach (_app)

=== src/sys/linux/graph/layer0/CMakeLists.txt ===
add_subdirectory (fallback)
add_subdirectory (sihaHLS)
add_subdirectory (softIO)

collect (PROJECT_LIB_HEADERS shellDriver.h)
collect (PROJECT_LIB_HEADERS uiomap.h)
collect (PROJECT_LIB_HEADERS queue.h)
collect (PROJECT_LIB_HEADERS xrtbuffer.h)
collect (PROJECT_LIB_HEADERS dm.h)
collect (PROJECT_LIB_HEADERS nodebug.h)
#collect (PROJECT_LIB_HEADERS slotManager.h)
collect (PROJECT_LIB_HEADERS uio.h)
collect (PROJECT_LIB_HEADERS siha.h)
collect (PROJECT_LIB_HEADERS utils.h)

collect (PROJECT_LIB_SOURCES queue.c)
collect (PROJECT_LIB_SOURCES xrtbuffer.c)
collect (PROJECT_LIB_SOURCES siha.c)
#collect (PROJECT_LIB_SOURCES slotManager.c)
collect (PROJECT_LIB_SOURCES uio.c)
collect (PROJECT_LIB_SOURCES utils.c)
collect (PROJECT_LIB_SOURCES shellDriver.c)

=== debian/changelog ===
dfx-mgr (2022.1-0ubuntu0~xlnx4) jammy; urgency=medium

  * Add patch dfx-mgrd-fix-memory-leaks-remove-dead-code, cherry-picked
    from upstream dd5071d; LP: #1973567.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 08 Jun 2022 12:43:12 +0000

dfx-mgr (2022.1-0ubuntu0~xlnx3) jammy; urgency=medium

  * Set default firmware to the Kria 26x starter kits.
    - Add /etc/dfx-mrg/default_firmware with "k26-starter-kits".
    - Recommend the xlnx-default-bitstreams package.
  * Set myself as Maintainer and move John Toomey to Uploaders.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 10 May 2022 14:20:40 +0000

dfx-mgr (2022.1-0ubuntu0~xlnx2) jammy; urgency=medium

  * Add default config and update service file

 -- John Toomey <john.toomey@amd.com>  Fri, 22 Apr 2022 09:08:26 +0000

dfx-mgr (2022.1-0ubuntu0~xlnx1) jammy; urgency=medium

  * New upstream release.

 -- John Toomey <john.toomey@amd.com>  Thu, 21 Apr 2022 15:30:33 +0000

dfx-mgr (2021.2-0ubuntu0~xlnx1) jammy; urgency=medium

  * Initial Release.

 -- John Toomey <john.toomey@amd.com>  Wed, 20 Apr 2022 10:53:53 +0000

=== debian/control ===
Source: dfx-mgr
Standards-Version: 4.6.0
Priority: optional
Section: utils
Maintainer: Loïc Minier <loic.minier@ubuntu.com>
Uploaders: John Toomey <john.toomey@amd.com>
Build-Depends: cmake, libdfx-dev, libwebsockets-dev, libdrm-dev, debhelper-compat (= 13)
Homepage: https://github.com/Xilinx/dfx-mgr

Package: libdfx-mgr1
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to configure Progammable Logic on Xilinx FPGAs - shared library
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.

Package: libdfx-mgr-dev
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}, libdfx-mgr1 (= ${binary:Version})
Description: utility to configure Progammable Logic on Xilinx FPGAs - development files
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.

Package: dfx-mgr
Architecture: arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xlnx-default-bitstreams
Description: utility to configure Progammable Logic on Xilinx FPGAs - daemon and command-line tool
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_STATIC_LIB=no \
		-DCMAKE_TOOLCHAIN_FILE=versal-linux \
		-DCMAKE_INCLUDE_PATH="../include" \
		-DCMAKE_LIBRARY_PATH="../opendfx-graph/drivers/XF2DFilter/src/lib/sw/aarch64-linux" \
		$@

override_dh_auto_install:
	dh_auto_install $@
	mv -f debian/tmp/usr/bin/dfx-mgrd-share debian/tmp/usr/bin/dfx-mgrd
	mv -f debian/tmp/usr/bin/dfx-mgr-client-share debian/tmp/usr/bin/dfx-mgr-client

## dfx-mgr 2022.1+20220729+4135349

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,8 +35,8 @@
 
 foreach (f ${_headers})
   configure_file (${f} include/${PROJECT_NAME}/${f} @ONLY)
-  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/include/${PROJECT_NAME}/${f}
-           DESTINATION include RENAME ${PROJECT_NAME}/${f})
+  # install (FILES ${CMAKE_CURRENT_BINARY_DIR}/include/${PROJECT_NAME}/${f}
+  #          DESTINATION include RENAME ${PROJECT_NAME}/${f})
   if (${f} MATCHES "^[^/]*\\.h")
     collect (PROJECT_HDR_TESTS "acapd/${f}")
   endif (${f} MATCHES "^[^/]*\\.h")
@@ -56,8 +56,8 @@
   target_compile_options (${_lib} PUBLIC ${_ec_flags})
   set_target_properties (${_lib} PROPERTIES
     OUTPUT_NAME       "${PROJECT_NAME}"
-    VERSION           "${PROJECT_VER}"
-    SOVERSION         "${PROJECT_VER_MAJOR}"
+    VERSION           "${PROJECT_VERSION}"
+    SOVERSION         "${PROJECT_VERSION_MAJOR}"
   )
 endif (WITH_SHARED_LIB)

=== debian/changelog ===
dfx-mgr (2022.1+20220729+4135349-0ubuntu0xlnx2) jammy; urgency=medium

  * Switch from versal-linux to cross-linux-gcc platform; thanks
    John Toomey and dfx-mgr team.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 05 Aug 2022 15:50:26 +0000

dfx-mgr (2022.1+20220729+4135349-0ubuntu0xlnx1) jammy; urgency=medium

  * New upstream snapshot to pull in bug fixes.
    - Drop patch dfx-mgrd-fix-memory-leaks-remove-dead-code, included
      in upstream snapshot.
    - New patch fix-disabled-install to restore the make install target
      to get dfx-mgr-client include files installed properly.
    - Depend on fru-print for the firmware detection logic to figure
      the board name.
    - Install firmware detection script src/scripts/xlnx-firmware-detect
      into usr/bin as it's not installed by default
    - Install upstream systemd service file manually as it's not
      installed by default and drop the debian/ one.
    - For now, keep installing a default_firmware with a hardcoded name
      for Kria boards: upstream implemented firmware detection but it
      requires an updated fru-print.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 29 Jul 2022 08:47:21 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: dfx-mgr
 Architecture: arm64
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, fru-print
 Recommends: xlnx-default-bitstreams
 Description: utility to configure Progammable Logic on Xilinx FPGAs - daemon and command-line tool
  DFX-MGR provides infrastructure to abstract configuration and hardware resource

## dfx-mgr 2022.1+20220908+acb025a

=== debian/changelog ===
dfx-mgr (2022.1+20220908+acb025a-0ubuntu0xlnx3) jammy; urgency=medium

  * Rebuild to pick up new libdfx SONAME.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 02 Oct 2022 11:19:51 +0000

dfx-mgr (2022.1+20220908+acb025a-0ubuntu0xlnx2) jammy; urgency=medium

  * Depends on latest version of fru-print to do default firmware detection
    - Remove default_firmware installation for this change

 -- Hon Ming Hui <honming.hui@canonical.com>  Mon, 26 Sep 2022 09:59:59 +0100

dfx-mgr (2022.1+20220908+acb025a-0ubuntu0xlnx1) jammy; urgency=medium

  * New upstream snapshot to pull in bug fixes.

 -- Hon Ming Hui <honming.hui@canonical.com>  Thu, 08 Sep 2022 23:28:41 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: dfx-mgr
 Architecture: arm64
-Depends: ${misc:Depends}, ${shlibs:Depends}, fru-print
+Depends: ${misc:Depends}, ${shlibs:Depends}, fru-print ( >= 2022.1.6483e22-0ubuntu1~xlnx1 )
 Recommends: xlnx-default-bitstreams
 Description: utility to configure Progammable Logic on Xilinx FPGAs - daemon and command-line tool
  DFX-MGR provides infrastructure to abstract configuration and hardware resource

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DWITH_STATIC_LIB=no \
-		-DCMAKE_TOOLCHAIN_FILE=versal-linux \
+		-DCMAKE_TOOLCHAIN_FILE=cross-linux-gcc \
 		-DCMAKE_INCLUDE_PATH="../include" \
 		-DCMAKE_LIBRARY_PATH="../opendfx-graph/drivers/XF2DFilter/src/lib/sw/aarch64-linux" \
 		$@

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Xilinx/dfx-mgr.git \
refs/tags/xilinx_v([\d\.]+) debian uupdate

## dfx-mgr 2023.2

=== CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################

cmake_minimum_required (VERSION 2.6)
if (POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif()

list (APPEND CMAKE_MODULE_PATH
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake"
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms")

project (dfx-mgr C ASM)

include (CheckIncludeFiles)
include (CheckCSourceCompiles)
include (collect)
include (options)
include_directories(include)

foreach(_inc_path ${CMAKE_INCLUDE_PATH})
  collect (PROJECT_INC_DIRS "${_inc_path}")
endforeach()


foreach (_lib ${_deps})
  message ("Looking for ${_lib}")
  find_library (_lib_path ${_lib})
  if (NOT _lib_path)
    message ( "external library ${_lib} not found" )
    message ( "hint: you may need to pass -DCMAKE_LIBRARY_PATH=<path>" )
    message ( FATAL_ERROR "library ${_lib} is required to build the examples" )
  endif (NOT _lib_path)
  get_filename_component (_lib_dir_path ${_lib_path} DIRECTORY)
  collect (PROJECT_LIB_DIRS ${_lib_dir_path})
  unset(_lib_path CACHE)
endforeach()

collector_list  (_list PROJECT_LIB_DIRS)
link_directories (${_list})


add_subdirectory (src)
add_subdirectory (example)

#if (WITH_EXAMPLE)
#endif (WITH_EXAMPLE)
# vim: expandtab:ts=2:sw=2:smartindent

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 add_definitions (-DACAPD_INTERNAL)
 
 get_property (_ec_flags GLOBAL PROPERTY "PROJECT_EC_FLAGS")
-set (_deps "dfx" "websockets")
+set (_deps "dfx")
 
 if (WITH_SHARED_LIB)
   set (_lib ${PROJECT_NAME}-shared)

=== src/sys/CMakeLists.txt ===
add_subdirectory (${PROJECT_SYSTEM})

# vim: expandtab:ts=2:sw=2:smartindent

=== example/sys/generic/CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################

find_path (_include_dir xparameters.h)
if (NOT _include_dir)
  message (FATAL_ERROR "xparameter.h not find")
endif (NOT _include_dir)
collect (PROJECT_INC_DIRS ${_include_dir})

collector_list  (_list PROJECT_INC_DIRS)
include_directories (${_list} ${CMAKE_CURRENT_SOURCE_DIR})

set (_lib "xilfpga")
find_library (_lib_path ${_lib})
if (NOT _lib_path)
  message ( "external library ${_lib_path} not found" )
  message ( "hint: you may need to pass -DCMAKE_LIBRARY_PATH=<path>" )
  message ( FATAL_ERROR "library ${_lib} is required to build the examples" )
endif (NOT _lib_path)
list (APPEND _lib "xilmailbox")
list (APPEND _lib "xil")
list (APPEND _lib "c")
list (APPEND _lib "m")
get_filename_component (_lib_path ${_lib_path} DIRECTORY)
collect (PROJECT_LIB_DIRS ${_lib_path})

collector_list  (_list PROJECT_LIB_DIRS)
link_directories (${_list})

set (_linker_script ${CMAKE_CURRENT_SOURCE_DIR}/lscript.ld)
include_directories(${CMAKE_CURRENT_BINARY_DIR})
configure_file(accel-config.h.in accel-config.h @ONLY)
foreach (_app accel-pr)
  set (_src ${CMAKE_CURRENT_SOURCE_DIR}/${_app}.c accel-config.s)
  list (APPEND _src accel-config.s)
  set_source_files_properties(accel-config.s PROPERTIES COMPILE_FLAGS "-x assembler-with-cpp")
  add_executable (${_app}.elf ${_src})
  if (PROJECT_EC_FLAGS)
    string(REPLACE " " ";" _ec_flgs ${PROJECT_EC_FLAGS})
    target_compile_options (${_app}-static PUBLIC ${_ec_flgs})
  endif (PROJECT_EC_FLAGS)
  target_link_libraries(${_app}.elf -Wl,-Map=${_app0}.map -Wl,--gc-sections -T\"${_linker_script}\" -Wl,--start-group acapd ${_lib} -Wl,--end-group)
  install (TARGETS ${_app}.elf RUNTIME DESTINATION bin)
endforeach (_app)

=== example/sys/linux/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
 
-set (_deps "dfx" "websockets" "dl" "pthread")
+set (_deps "dfx" "dl" "pthread")
 
 foreach (_app load_accel accel-bzip2 accel-shm accel-aes accel-container dfx-mgr-client dfx-mgrd )
 #foreach (_app load_accel dfx-mgr-client dfx-mgrd dfx-mgrd2 graphTest6)

=== example/sys/linux/graph/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
 
-set (_deps "dfx" "websockets" "dfxgraph" "dl" "pthread")
+set (_deps "dfx" "dfxgraph" "dl" "pthread")
 
 foreach (_app  graphApp graphTest0 graphTest1 graphTest2 graphTest3 graphTest4 graphTest5)
   set (_src ${CMAKE_CURRENT_SOURCE_DIR}/${_app}.c)

=== src/sys/linux/graph/CMakeLists.txt ===
add_subdirectory (layer0)
collect (PROJECT_LIB_HEADERS abstractGraph.h)
collect (PROJECT_LIB_HEADERS graph.h)
collect (PROJECT_LIB_HEADERS metadata.h)
collect (PROJECT_LIB_HEADERS scheduler.h)
collect (PROJECT_LIB_HEADERS jobScheduler.h)
collect (PROJECT_LIB_HEADERS aes128.h)
collect (PROJECT_LIB_HEADERS aes192.h)
collect (PROJECT_LIB_HEADERS aesFallback.h)
collect (PROJECT_LIB_HEADERS aes192Fallback.h)
#collect (PROJECT_LIB_HEADERS schedulerBypass.h)

collect (PROJECT_LIB_SOURCES abstractGraph.c)
collect (PROJECT_LIB_SOURCES graph.c)
collect (PROJECT_LIB_SOURCES metadata.c)
#collect (PROJECT_LIB_SOURCES main.c)
collect (PROJECT_LIB_SOURCES scheduler.c)
collect (PROJECT_LIB_SOURCES jobScheduler.c)
collect (PROJECT_LIB_SOURCES aes128.c)
collect (PROJECT_LIB_SOURCES aes192.c)
collect (PROJECT_LIB_SOURCES aesFallback.c)
collect (PROJECT_LIB_SOURCES aes192Fallback.c)
#collect (PROJECT_LIB_SOURCES schedulerBypass.c)

=== src/sys/linux/graph/layer0/fallback/CMakeLists.txt ===
collect (PROJECT_LIB_HEADERS fallback.h) 

collect (PROJECT_LIB_SOURCES fallback.c)

=== src/sys/linux/graph/layer0/sihaHLS/CMakeLists.txt ===
collect (PROJECT_LIB_HEADERS sihaHLSdm.h) 

collect (PROJECT_LIB_SOURCES sihaHLSdm.c)

=== src/sys/linux/graph/layer0/softIO/CMakeLists.txt ===
collect (PROJECT_LIB_HEADERS softdm.h) 

collect (PROJECT_LIB_SOURCES softdm.c)

=== debian/changelog ===
dfx-mgr (2023.2-0ubuntu1) noble; urgency=medium

  * Initial upload to Ubuntu archive (LP: #2048462)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 19 Feb 2024 17:44:20 +0100

=== debian/control ===
Source: dfx-mgr
Standards-Version: 4.6.2
Priority: optional
Section: utils
Maintainer: Talha Can Havadar <talha.can.havadar@canonical.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdfx-dev,
               libdrm-dev,
               libwebsockets-dev
Homepage: https://github.com/Xilinx/dfx-mgr
Rules-Requires-Root: no

Package: libdfx-mgr1
Architecture: arm64
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared Library of dfx-mgr
 Utility to configure Programmable Logic on Xilinx FPGAs - shared library
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.
 .
 This package provides the shared library.

Package: libdfx-mgr-dev
Architecture: arm64
Section: libdevel
Depends: libdfx-mgr1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Shared Library Development Package of dfx-mgr
 Utility to configure Programmable Logic on Xilinx FPGAs - development files
 DFX-MGR provides infrastructure to abstract configuration and hardware resource
 management for dynamic deployment of accelerator across different platforms.
 .
 This package provides required development files such as headers etc.
 to use shared library.

Package: dfx-mgr
Architecture: arm64
Depends: freeipmi ( >= 1.6.9-2ubuntu0.22.04.2 ),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: xlnx-default-bitstreams
Description: Utility Binaries of dfx-mgr
 Utility to configure Programmable Logic on Xilinx FPGAs - daemon and
 command-line tool DFX-MGR provides infrastructure to abstract configuration
 and hardware resource management for dynamic deployment of accelerator
 across different platforms.
 .
 This package provides the binaries of dfx-mgr tool.

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://github.com/Xilinx/dfx-mgr.git \
refs/tags/xilinx_v([\d\.]+) debian uupdate

## dfx-mgr 2024.2.0

=== example/CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################

collect(PROJECT_LIB_DEPS acapd)

add_subdirectory (sys)

# vim: expandtab:ts=2:sw=2:smartindent

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 collect (PROJECT_LIB_HEADERS json-config.h)
 collect (PROJECT_LIB_HEADERS daemon_helper.h)
 collect (PROJECT_LIB_HEADERS conio.h)
+collect (PROJECT_LIB_HEADERS rpu.h)
 
 collect (PROJECT_LIB_SOURCES accel.c)
 collect (PROJECT_LIB_SOURCES assert.c)
@@ -26,6 +27,7 @@
 collect (PROJECT_LIB_SOURCES shm.c)
 collect (PROJECT_LIB_SOURCES dfxmgr_client.c)
 collect (PROJECT_LIB_SOURCES daemon_helper.c)
+collect (PROJECT_LIB_SOURCES rpu.c)
 
 add_subdirectory (sys)

=== example/sys/CMakeLists.txt ===

if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_SYSTEM})
  add_subdirectory(${PROJECT_SYSTEM})
endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_SYSTEM})

=== example/sys/linux/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
 
-set (_deps "dfx" "dl" "pthread")
+set (_deps "dfx" "dl" "pthread" "systemd")
 
 foreach (_app load_accel accel-bzip2 accel-shm accel-aes accel-container dfx-mgr-client dfx-mgrd )
 #foreach (_app load_accel dfx-mgr-client dfx-mgrd dfx-mgrd2 graphTest6)

=== src/sys/generic/CMakeLists.txt ===
#########################################################################
# Copyright (c) 2021, Xilinx Inc. and Contributors. All rights reserved.
# SPDX-License-Identifier: MIT
#########################################################################

collect (PROJECT_LIB_HEADERS accel.h)
collect (PROJECT_LIB_HEADERS dma.h)
collect (PROJECT_LIB_HEADERS generic-device.h)

collect (PROJECT_LIB_SOURCES accel.c)
collect (PROJECT_LIB_SOURCES dma-axidma.c)
collect (PROJECT_LIB_SOURCES device.c)
collect (PROJECT_LIB_SOURCES json-config.c)
collect (PROJECT_LIB_SOURCES print.c)
collect (PROJECT_LIB_SOURCES shell.c)
collect (PROJECT_LIB_SOURCES shm.c)

# vim: expandtab:ts=2:sw=2:smartindent

=== src/sys/linux/CMakeLists.txt ===
--- 
+++ 
@@ -18,5 +18,4 @@
 collect (PROJECT_LIB_SOURCES print.c)
 collect (PROJECT_LIB_SOURCES shm.c)
 collect (PROJECT_LIB_SOURCES shell.c)
-add_subdirectory (graph)

=== debian/changelog ===
dfx-mgr (2024.2.0-0ubuntu1) questing; urgency=medium

  * New upstream version 2024.2.0 (LP: #2098945)
    - debian: add gbp.conf file
    - d/watch: update for new version tagging in upstream
    - update soname for libdfx-mgr1 to libdfx-mgr2 due to breaking API changes

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 02 May 2025 18:41:54 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
                debhelper-compat (= 13),
                libdfx-dev,
                libdrm-dev,
+               libsystemd-dev,
                libwebsockets-dev
 Homepage: https://github.com/Xilinx/dfx-mgr
 Rules-Requires-Root: no
 
-Package: libdfx-mgr1
+Package: libdfx-mgr2
 Architecture: arm64
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -25,7 +26,7 @@
 Package: libdfx-mgr-dev
 Architecture: arm64
 Section: libdevel
-Depends: libdfx-mgr1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libdfx-mgr2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Shared Library Development Package of dfx-mgr
  Utility to configure Programmable Logic on Xilinx FPGAs - development files
  DFX-MGR provides infrastructure to abstract configuration and hardware resource

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -15,4 +16,3 @@
 	dh_auto_install $@
 	mv -f debian/tmp/usr/bin/dfx-mgrd-share debian/tmp/usr/bin/dfx-mgrd
 	mv -f debian/tmp/usr/bin/dfx-mgr-client-share debian/tmp/usr/bin/dfx-mgr-client
-

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://github.com/Xilinx/dfx-mgr.git \
refs/tags/([\d\.]+) debian uupdate
